#ifndef GGAP_SEARCH_BOX_H
#define GGAP_SEARCH_BOX_H

#include <moo/pimpl.h>
#include <QFrame>

class QTextEdit;

namespace ggap {

class SearchBoxPrivate;
class SearchBox : public QFrame {
    Q_OBJECT
    M_DECLARE_IMPL(SearchBox)

public:
    SearchBox(QWidget *parent = 0);
    ~SearchBox();

    void setTextWidget(QTextEdit *text);

public Q_SLOTS:
    void find();
    void findNext();
    void findPrevious();

private Q_SLOTS:
    void cancelFind();
    void entryTextEdited(const QString &text);

protected:
    bool eventFilter(QObject *obj, QEvent *event);

private:
    void doFind(const QString &text, bool forward);
};

}

#endif // GGAP_SEARCH_BOX_H
